function InfantryTutorial($InfantryTutorialPage)
{
   tutorialbutton.text = "Next";
   introtutorial1.Visible = false;
   introtutorial2.Visible = false;
   canvas.pushdialog(tutorial);                           
      
   switch$ ($InfantryTutorialPage)
   {
      case 1:
         tutorialdesc.setText("During infantry combat, your gang can automatically deploy up to 7 squads of 5 gang members each. The enemy force may only " @
         "deploy up to 6 squads of 5 enemies each. During combat only 1 unit from each side can fire at a time. You may control where each of your squads moves to and what enemy squad they " @
         "target.");
                  tutorialbutton.command = "InfantryTutorial(2);";
         $InfantryTutorialPage++;
      case 2:
         tutorialdesc.setText("Each squad has a defense modifier. A squad will get a +1 bonus for being near cover such as a vehicle. A squad that is standing up will have a -1 penalty added to their defense. They will get a +1 bonus for kneeling and a +2 " @
         "bonus for being prone. A squad will suffer an attack penalty when in kneeling or prone position.");
                  tutorialbutton.command = "InfantryTutorial(3);";
         $InfantryTutorialPage++;

      case 3:
         tutorialdesc.setText("When you try and retreat, your gang will need 1 second per enemy infantry that is still in combat. If you lose a battle but still have a reserve force your gang will not suffer any adverse effects. If you lose the battle but still have more infantry in reserve your gang's morale will be drastically decreased and your supplies will be looted.");
                  tutorialbutton.command = "InfantryTutorial(4);";
         $InfantryTutorialPage++;

      case 4:
         tutorialdesc.setText("You can select your own squads by either hitting " @ $keys_RotateCamera @ " or by left clicking over a squad member.");
      
         tutorialbutton.command = "CloseTutorial();";      
         introtutorial1.Visible = false;
         introtutorial2.Visible = false;

         tutorialbutton.text = "Close";
   }
}